/****************************************************************************
**
** DCOP Stub Definition created by dcopidl2cpp from kio_clucene_dcopiface.kidl
**
** WARNING! All changes made in this file will be lost!
**
*****************************************************************************/

#ifndef __KIO_CLUCENE_DCOPIFACE_STUB__
#define __KIO_CLUCENE_DCOPIFACE_STUB__

#include <dcopstub.h>
#include <qstringlist.h>
#include <dcopobject.h>


class KioCLuceneDCOPIface_stub : virtual public DCOPStub
{
public:
    KioCLuceneDCOPIface_stub( const QCString& app, const QCString& id );
    KioCLuceneDCOPIface_stub( DCOPClient* client, const QCString& app, const QCString& id );
    explicit KioCLuceneDCOPIface_stub( const DCOPRef& ref );
    virtual QString getQueryString( QString  );
protected:
    KioCLuceneDCOPIface_stub() : DCOPStub( never_use ) {};
};


#endif
